Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
giaptk3

chuyển text bảng từ cad sang excel

Các bài được khuyến nghị

MANHHUNGXDA    458
nhanh lên jùm em các anh ơi

em muốn chuyển số liệu mỏ vật liệu từ card sang excel.

 

Chả hiểu ý ông thế nào! Computer Aided Desingn =CAD ông ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
nhanh lên jùm em các anh ơi

em muốn chuyển số liệu mỏ vật liệu từ card sang excel.

http://www.cadviet.com/upfiles/MODAT_VT.dwg

 

Tôi có thể giúp bạn với một điều kiện như sau:

Trong các ô rỗng, bạn vẫn phải có một đối tượng text tại đúng vị trí, nhưng với giá trị là dấu hoa thị (*).

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
giaptk3    13
Tôi có thể giúp bạn với một điều kiện như sau:

Trong các ô rỗng, bạn vẫn phải có một đối tượng text tại đúng vị trí, nhưng với giá trị là dấu hoa thị (*).

Bạn có thể nói cách thức cho mình được không

http://www.cadviet.com/upfiles/chuyenquaexcel.dwg

cảm ơn bạn nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524

 

 

Bạn có thể nói cách thức cho mình được không
http://www.cadviet.com/upfiles/chuyenquaexcel.dwg
cảm ơn bạn nhiều

Lệnh C2E dưới đây sẽ giúp bạn.

(defun c:c2e ( / hangdau)
(defun sosanh (e1 e2 / p1 p2)
(setq p1 (car e1)
p2 (car e2)
)
(if (equal (cadr p1) (cadr p2) fuzz)
(< (car p1) (car p2))
(> (cadr p1) (cadr p2))
)
)
(setq
ss (ssget '((0 . "TEXT")))
lst (ss2ent ss)
lst (mapcar '(lambda (e) (cons (cdr (assoc 10 (entget e))) (cdr (assoc 1 (entget e))))) lst)
caotext (cdr (assoc 40 (entget (ssname ss 0))))
fuzz (* caotext 1.0)
lst (vl-sort lst 'sosanh)
index 1
oldy nil
fn (getfiled "Chon file de save" "" "csv" 1)
fid (open fn "w")
)

(foreach e lst
(if (equal oldy (cadr (car e)) fuzz)
(progn
(princ "," fid)
(setq index (1+ index))
)
(progn
(if hangdau
(progn
(setq index 1)
(princ "\n" fid)
)
(setq hangdau t)
)
)
)
(princ (cdr e) fid)
(setq oldy (cadr (car e)))
)
(close fid)
)

(defun ss2ent (ss / sodt index lstent)
(setq
sodt (if ss
(sslength ss)
0
)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
npkh1981    0
Lệnh C2E dưới đây sẽ giúp bạn.

(defun c:c2e ( / hangdau)
 (defun sosanh	(e1 e2 / p1 p2)
   (setq p1 (car e1)
  p2 (car e2)
   )
   (if	(equal (cadr p1) (cadr p2) fuzz)
     (< (car p1) (car p2))
     (> (cadr p1) (cadr p2))
   )
 )
 (setq
   ss	    (ssget '((0 . "TEXT")))    
   lst	    (ss2ent ss)
   lst     (mapcar '(lambda (e) (cons (cdr (assoc 10 (entget e))) (cdr (assoc 1 (entget e))))) lst)  
   caotext (cdr (assoc 40 (entget (ssname ss 0))))
   fuzz    (* caotext 1.0)
   lst	    (vl-sort lst 'sosanh)
   index   1
   oldy nil
   fn      (getfiled "Chon file de save" "" "csv" 1)
   fid     (open fn "w")
 )

 (foreach e lst
   (if	(equal oldy (cadr (car e)) fuzz)
     (progn        
(princ "," fid)
(setq index (1+ index))
     )      
     (progn
(if hangdau
  (progn
    (setq index 1)	
    (princ "\n" fid)	    
  )
  (setq hangdau t)
 )
     )
   )
   (princ (cdr e) fid)
   (setq oldy (cadr (car e)))
 )
 (close fid)
)

(defun ss2ent (ss / sodt index lstent)
 (setq
   sodt  (if ss
    (sslength ss)
    0
  )
   index 0
 )
 (repeat sodt
   (setq ent	 (ssname ss index)
  index	 (1+ index)
  lstent (cons ent lstent)
   )
 )
 (reverse lstent)
)

Cám ơn bác đã giúp mình

Nhưng có cách nào tách riêng từng text ra từng ô được không

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trioby1    0

Bạn Nguyen Hoanh ui, vậy có thể xuất các Mtext sang autoCad không. Bạn có thể hiểu chỉnh thêm chọn đối tượng là Mtext thì lisp của bạn là quá ok luôn. Mong sớm nhận được hồi âm

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×